package file_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type FileVerifyDocumentidRequest struct {
	// <ext>core:true;format:string</ext> 【签署文档id】签署文档id 【作用】 查询需要获取签名信息的文档
	DocumentId *int64 `json:"documentId,omitempty"`
}

func (obj FileVerifyDocumentidRequest) GetUrl() string {
	return "/file/verify/documentId"
}

func (obj FileVerifyDocumentidRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("documentId", obj.DocumentId)
	return parameter
}
